#ifndef __VDISK__PROTOCOL_H__
#define __VDISK__PROTOCOL_H__

#define VDISK_VERSION  "1.0"

/* Definitions for the IOCTL control protocol */

/* IOCTL commands */
#define VDISK_MOUNT_CMD    31415   /* IOCTL commands - hopefully they won't clash with anything else's IOCTLs */
#define VDISK_UNMOUNT_CMD  31416
#define VDISK_QUERY_CMD    31417

#define VDISK_MOUNTED      31418   /* returned if the disk is already mounted */
#define VDISK_NOT_MOUNTED  31419   /* returned if the disk is not already mounted */

#define VDISK_IN_USE	   31420      /* we tried to unmount a disk while some of the partitions are still in use */


typedef struct VDiskIOCTL_struct {
	char m_zFileName[256];    /* filename of the vhd file to mount or unmount */
	bool m_bReadOnly;		  /* mount it read-only? */
	char m_zMountDir[256];	  /* mount it in this subdirectory of /dev/disk/virtual */
} VDiskIOCTL_s;





#endif  /* __VDISK__PROTOCOL_H__ */





